#ifndef OPENGL_H
#define OPENGL_H

typedef struct {
    SDL_Window* window;
    SDL_GLContext glcontext;
} _glWindows_t;

typedef struct {
    GLuint program;
    GLuint vao;
    GLuint vbo;
    GLuint ibo;
    GLuint projMatrLoc;
} shaderProgram_t;

GLuint createShader ( const char *shaderFile, GLenum shaderType );
void createProgram ( GLuint *shaders, int len );
void resizeWindow ( int width, int height );
void _matrix ( int width, int height );
void createBuffer ( void );
void startShaderProg ( void );
void _GLBuffer( void );

#endif
